abs-assets-deploy-staging:
  stage: deploy
  extends:
    - .build-docker-image
    - .aws-configure-production
  script:
    - cd pkgs/abs && make abs-build-staging
  only:
    refs:
      - develop
    changes:
      - pkgs/abs/**/*
  tags:
    - eks-cluster

abs-assets-deploy-production:
  stage: deploy
  extends:
    - .build-docker-image
    - .aws-configure-production
  script:
    - cd pkgs/abs && make abs-build-production
  only:
    refs:
      - master
    changes:
      - pkgs/abs/**/*
  tags:
    - eks-cluster
